Subject: Cogito RFE: cg-commit -q

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 13 Oct 2005 10:45:52 -0700

I would find it very useful if cg-commit had a "-q" option, meaning 
"silently skip this commit if there is nothing to commit."  There are 
some automatic release scripts that I have which enforces consistency 
before release, but if the repository is already correctly set up for 
release, there is nothing to do.

This is the opposite of -f, which would create a commit object pointing 
to the same tree.

	-hpa